All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
ModuleManager.h File Reference

### (6de6cc3b438610bf03b2bec44a3d7c61f90e3165)

`#include <qore/QoreThreadLock.h>`
`#include <qore/QoreString.h>`
`#include <vector>`
Include dependency graph for ModuleManager.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | ModuleManager
| manages the loading of Qore modules from feature or path names. Also manages adding module changes into QoreProgram objects. More...
struct | qore_mod_api_compat_s
| element of qore_mod_api_list; More...

## Macros

#define | QORE_MODULE_API_MAJOR 0
| the major number of the Qore module API implemented
#define | QORE_MODULE_API_MINOR 19
| the minor number of the Qore module API implemented
#define | QORE_MODULE_COMPAT_API_MAJOR 0
| the major number of the earliest recommended Qore module API
#define | QORE_MODULE_COMPAT_API_MINOR 19
| the minor number of the earliest recommended Qore module API

## Typedefs

typedef void(* | qore_module_delete_t )()
| signature of the module destructor function
typedef QoreStringNode *(* | qore_module_init_t )()
| signature of the module constructor/initialization function
typedef void(* | qore_module_ns_init_t )(QoreNamespace *root_ns, QoreNamespace *qore_ns)
| signature of the module namespace change/delta function
typedef void(* | qore_module_parse_cmd_t )(const QoreString &cmd, ExceptionSink *xsink)
| signature of the module parse command function

## Variables

DLLEXPORT ModuleManager | MM
| the global ModuleManager object
DLLEXPORT const qore_mod_api_compat_s * | qore_mod_api_list
| list of module APIs this library supports
DLLEXPORT const unsigned | qore_mod_api_list_len
| number of elements in qore_mod_api_list;

## Detailed Description

provides definitions required to load qore modules